curl --request POST \
--url https://api.pocketflows.com/sms_templates/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"message": "<string>",
"image": "<unknown>",
"shorten_urls": true,
"image_uploads": [
"<string>"
]
}
'import requests
url = "https://api.pocketflows.com/sms_templates/{id}"
payload = {
"name": "<string>",
"message": "<string>",
"image": "<unknown>",
"shorten_urls": True,
"image_uploads": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
message: '<string>',
image: '<unknown>',
shorten_urls: true,
image_uploads: ['<string>']
})
};
fetch('https://api.pocketflows.com/sms_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"message": "<string>",
"estimated_sms_segments": 123,
"estimated_segments": {
"sms": 123,
"mms": 123
},
"image": "<string>",
"shorten_urls": true
}Update an SMS template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the SMS template
Body
The name of the SMS template
The message of the SMS template. Variables are supported via {{ variableName }}
The image associated with the SMS template
Whether to shorten URLs in the SMS template
The image upload IDs you would like to associate with the SMS template
Response
The updated SMSTemplate object
The ID of the SMS template
The name of the SMS template
The message of the SMS template. Variables are supported via {{ variableName }}
The estimated number of SMS segments
The estimated number of segments of each type. Has keys sms and mms
Show child attributes
Show child attributes
The ID of the image upload
Whether to shorten URLs in the message